"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const core_1 = require("@oclif/core");
const base_1 = require("../../../base");
const fetcher_1 = require("../../../lib/fetcher");
class Destroy extends base_1.default {
    async run() {
        const { args, flags } = await this.parse(Destroy);
        const database = await (0, fetcher_1.default)(this.heroku, args.database, flags.app);
        core_1.ux.action.start('Destroying privatelink endpoint');
        await this.shogun.delete(`/private-link/v0/databases/${database}`, this.shogun.defaults);
        core_1.ux.action.stop();
    }
}
exports.default = Destroy;
Destroy.description = 'destroy a privatelink endpoint for your database';
Destroy.hiddenAliases = ['pg:privatelink:destroy', 'kafka:privatelink:destroy', 'redis:privatelink:destroy'];
Destroy.args = {
    database: core_1.Args.string({ required: true }),
};
Destroy.flags = {
    app: command_1.flags.app({ required: true }),
    remote: command_1.flags.remote(),
};
Destroy.examples = [
    '$ heroku data:privatelink:destroy postgresql-sushi-12345 --app my-app',
];
